## libast 0.6-0pre2003010606

=== debian/changelog ===
libast (0.6-0pre2003010606) unstable; urgency=low

  * converted to CDBS
  * removed debian/compat, debian/shlibs.local
  * added debian/libast2.install and debian/libast2-dev.install
  * update to Standards-Version: 3.6.1.0
  * recomplile drops Depends: libttf2
  * added tightly versioned shlibs
  * removed -lttf check from libast.m4 because it breaks eterm builds
  * removed Build-Depends: libtool
  * added AC_PROG_LIBTOOL to configure.in
  * regenerated autotools files, config* and all

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  1 Nov 2003 17:30:58 -0500

libast (0.6-0pre2003010605) unstable; urgency=low

  * change -dev to section libdevel 

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 10 Sep 2003 06:10:41 -0400

libast (0.6-0pre2003010604) unstable; urgency=low

  * update libast-dev package description

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  9 Sep 2003 21:53:37 -0400

libast (0.6-0pre2003010603) unstable; urgency=low

  * Conflict/Replace libast1

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 14 Jan 2003 22:07:01 -0500

libast (0.6-0pre2003010602) unstable; urgency=low

  * rename source to libast
  * create libast2 packages

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  8 Jan 2003 09:47:57 -0500

libast1 (0.5-0pre2003010601) unstable; urgency=low

  * CVS snapshot 

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  7 Jan 2003 04:35:33 -0500

libast1 (0.5-0pre2002111702) unstable; urgency=low

  * added libtool build dependency
  * added version to shlibs

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 17 Nov 2002 19:53:09 -0500

libast1 (0.5-0pre2002111701) unstable; urgency=low

  * removed build root, TARFU
  * CVS snapshot
  * updated Standards Version to 3.5.7.0

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 15 Nov 2002 18:54:24 -0500

libast1 (0.4-3) unstable; urgency=low

  * config.{sub,guess} update, closes: #11985 

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 16 Nov 2001 15:05:53 -0500

libast1 (0.4-2) unstable; urgency=low

  * disable test program build again, closes: #118920 

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  9 Nov 2001 21:00:56 -0500

libast1 (0.4-1) unstable; urgency=low

  * new upstream version
  * debian/rules: partial rewrite
  * debian/control: updated to Standards-Version 3.5.6.0
  * debian/copyright: removed emacs mode settings

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  8 Nov 2001 21:47:02 -0500

libast1 (0.3-0pre2001062603) unstable; urgency=low

  * add version to shlibs

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 13 Jul 2001 14:12:35 -0400

libast1 (0.3-0pre2001062602) unstable; urgency=low

  * disable test program build again, Closes: #102436

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 27 Jun 2001 06:37:34 -0400

libast1 (0.3-0pre2001062601) unstable; urgency=low

  * new CVS snapshot 

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 26 Jun 2001 14:22:26 -0400

libast1 (0.3-0pre2001061801) unstable; urgency=low

  * new CVS snapshot
  * added upstream ChangeLog
  * corrected libast1-dev description (who reported that?)

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 18 Jun 2001 17:41:42 -0400

libast1 (0.3-0pre2001061301) unstable; urgency=low

  * new CVS snapshot
  * versioned shlib

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 13 Jun 2001 08:54:39 -0400

libast1 (0.1.0-0pre2001051703) unstable; urgency=low

  * added libast1 dependency to libast1-dev 

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 30 May 2001 23:38:23 -0400

libast1 (0.1.0-0pre2001051702) unstable; urgency=low

  * added --disable-mmx configure option
  * disabled test program build, closes: #98896

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 27 May 2001 18:43:30 -0400

libast1 (0.1.0-0pre2001051701) unstable; urgency=low

  * remove debian/build in clean target, Closes: #97852
  * removed debian/rules bashisms

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 17 May 2001 20:29:18 -0400

libast1 (0.1.0-0pre2001051101) unstable; urgency=low

  * Debian libast 0.1 pre-release
  * initial release

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 11 May 2001 21:50:31 -0400

## libast 0.6-0pre2003010606sarge1

=== test/Makefile ===
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# $Id: Makefile.am,v 1.6 2002/05/27 02:41:01 mej Exp $


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/libast
pkglibdir = $(libdir)/libast
pkgincludedir = $(includedir)/libast

top_builddir = ..

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu
AR = ar
AS = gcc
ASFLAGS =  -I../
AUTHORS = Michael Jennings (mej@eterm.org)
CC = gcc
CFLAGS = -g -O2
CHMOD = chmod
CP = cp
CPP = gcc -E
CPPFLAGS = -I/usr/X11R6/include 
CTAGS = true
CXX = g++
CXXCPP = g++ -E
DLLTOOL = @DLLTOOL@
ECHO = echo
EGREP = grep -E
EXEEXT = 
F77 = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
HAVE_LIB = @HAVE_LIB@
INT_16_TYPE = short
INT_32_TYPE = int
INT_64_TYPE = long long
INT_8_TYPE = char
LDFLAGS = -L/usr/X11R6/lib 
LIB = @LIB@
LIBAST_CONFIG = @LIBAST_CONFIG@
LIBAST_IMLIB2_SUPPORT = Imlib2
LIBAST_MMX_SUPPORT = MMX
LIBAST_REGEXP_SUPPORT = regexp-pcre
LIBAST_X11_SUPPORT = X11
LIBS = -lImlib2 -lX11  -lSM -lICE -lpcre -ldl -lm  
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIB = @LTLIB@
MAINT = #
MAKEINFO = makeinfo
MKDIR = mkdir
MV = mv
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = libast
RANLIB = ranlib
RC = @RC@
RM = rm
SED = /bin/sed
STRIP = strip
TAR = tar
VERSION = 0.6

EXTRA_PROGRAMS = libast-test libast-perf

INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/include/$(PACKAGE)

libast_test_SOURCES = test.c test.h
libast_test_DEPENDENCIES = $(top_builddir)/src/libast.la
libast_test_LDADD = $(top_builddir)/src/libast.la

libast_perf_SOURCES = perf.c perf.h
libast_perf_DEPENDENCIES = $(top_builddir)/src/libast.la
libast_perf_LDADD = $(top_builddir)/src/libast.la
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 

DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
X_CFLAGS =  -I/usr/X11R6/include
X_LIBS =  -L/usr/X11R6/lib
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
libast_test_OBJECTS =  test.$(OBJEXT)
libast_test_LDFLAGS = 
libast_perf_OBJECTS =  perf.$(OBJEXT)
libast_perf_LDFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

GZIP_ENV = --best
DEP_FILES =  .deps/perf.P .deps/test.P
SOURCES = $(libast_test_SOURCES) $(libast_perf_SOURCES)
OBJECTS = $(libast_test_OBJECTS) $(libast_perf_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libast-test$(EXEEXT): $(libast_test_OBJECTS) $(libast_test_DEPENDENCIES)
	@rm -f libast-test$(EXEEXT)
	$(LINK) $(libast_test_LDFLAGS) $(libast_test_OBJECTS) $(libast_test_LDADD) $(LIBS)

libast-perf$(EXEEXT): $(libast_perf_OBJECTS) $(libast_perf_DEPENDENCIES)
	@rm -f libast-perf$(EXEEXT)
	$(LINK) $(libast_perf_LDFLAGS) $(libast_perf_OBJECTS) $(libast_perf_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = test

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu test/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-compile mostlyclean-libtool \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-compile clean-libtool clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-compile distclean-libtool distclean-tags \
		distclean-depend distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir \
mostlyclean-depend distclean-depend clean-depend \
maintainer-clean-depend info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


test: libast-test
	$(top_builddir)/test/libast-test

perf: libast-perf
	$(top_builddir)/test/libast-perf $(PERFOPTS)

.PHONY: test

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
libast (0.6-0pre2003010606sarge1) stable-security; urgency=high

  * Non-maintainer upload by the security team
  * Backported upstream patch to fix buffer overflow [conf.c,
    CVE-2006-0224]

 -- Martin Schulze <joey@infodrom.org>  Tue, 31 Jan 2006 12:00:14 +0100

=== debian/control ===
Source: libast
Section: libs
Priority: optional
Maintainer: Laurence J. Lane <ljlane@debian.org>
Build-Depends: libimlib2-dev, xlibs-dev, cdbs, debhelper (>>4.1.0)
Standards-Version: 3.6.1.0

Package: libast2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libast1
Replaces: libast1
Description: the Library of Assorted Spiffy Things
 LibAST is the Library of Assorted Spiffy Things.  It contains many
 spiffy things, and it is a library.  Thus, the ever-so-creative name.
 LibAST has been previously known as libmej, the Eterm helper library
 which nobody really understood and certainly never used.  My current
 plan is to gradually remove some of the neat stuff from Eterm that
 could be made generic (things like the theme parsing engine, the
 command-line options parser, perhaps the event engine, ...) and place
 it here in the hopes that others will find them useful.

Package: libast2-dev
Architecture: any
Section: libdevel
Architecture: any
Depends: libimlib2-dev, libc6-dev, libast2 (= ${Source-Version})
Provides: libast1-dev, libast-dev
Conflicts: libast1-dev, libast-dev
Description: libast2 development files
 Headers, static libraries and documentation for developing software
 that uses libast2.
 .
 LibAST is the Library of Assorted Spiffy Things.  It contains many
 spiffy things, and it is a library.  Thus, the ever-so-creative name.
 LibAST has been previously known as libmej, the Eterm helper library
 which nobody really understood and certainly never used.  My current
 plan is to gradually remove some of the neat stuff from Eterm that
 could be made generic (things like the theme parsing engine, the
 command-line options parser, perhaps the event engine, ...) and place
 it here in the hopes that others will find them useful.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS = --enable-mmx=no
DEB_DH_MAKESHLIBS_ARGS_libast2 = --version-info="libast2 (>= 0.6-0pre2003010606)"
DEB_SHLIBDEPS_LIBRARY_package = libast2

## libast 0.6-0pre2003010606ubuntu0.0.4.10

=== debian/changelog ===
libast (0.6-0pre2003010606ubuntu0.0.4.10) warty-security; urgency=low

  * SECURITY: Fix buffer overflow due to improper bounds checking in
    src/conf.c::conf_find_file() . Reported by Johnny Mast
    <rave at rosiello.org>; fix backported from upstream version 0.7
    (Closes: #29464).
  * References:
    - CVE-2006-0224
    - Malone #29464

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Tue, 31 Jan 2006 16:48:15 -0800

## libast 0.6-0pre2003010606ubuntu0.0.5.04

=== debian/changelog ===
libast (0.6-0pre2003010606ubuntu0.0.5.04) hoary-security; urgency=low

  * SECURITY: Fix buffer overflow due to improper bounds checking in
    src/conf.c::conf_find_file() . Reported by Johnny Mast
    <rave at rosiello.org>; fix backported from upstream version 0.7
    (Closes: #29464).
  * References:
    - CVE-2006-0224
    - Malone #29464

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Tue, 31 Jan 2006 16:48:15 -0800

## libast 0.6-0pre2003010606.1

=== debian/changelog ===
libast (0.6-0pre2003010606.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch by Andreas Jochens to fix FTBFS with gcc 4.0
    (Closes: #287376)

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  3 Sep 2005 23:54:25 +0200

## libast 0.6-0pre2003010606.1ubuntu0.1

=== debian/changelog ===
libast (0.6-0pre2003010606.1ubuntu0.1) breezy-security; urgency=low

  * SECURITY: Fix buffer overflow due to improper bounds checking in
    src/conf.c::conf_find_file() . Reported by Johnny Mast
    <rave@rosiello.org>; fix backported from upstream version 0.7
    (Closes: #29464).
  * References:
    - CVE-2006-0224
    - Malone #29464

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Sun, 29 Jan 2006 16:47:38 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Laurence J. Lane <ljlane@debian.org>
-Build-Depends: libimlib2-dev, xlibs-dev, cdbs, debhelper (>>4.1.0)
+Build-Depends: debhelper (>> 4.1.0), cdbs, libimlib2-dev, xlibs-dev
 Standards-Version: 3.6.1.0
 
 Package: libast2
@@ -24,7 +24,6 @@
 Package: libast2-dev
 Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libimlib2-dev, libc6-dev, libast2 (= ${Source-Version})
 Provides: libast1-dev, libast-dev
 Conflicts: libast1-dev, libast-dev

## libast 0.6-0pre2003010606.1ubuntu4

=== debian/changelog ===
libast (0.6-0pre2003010606.1ubuntu4) dapper; urgency=low

  * include/libast.h (+l |= l<<32;\) (Closes Malone: #41207 again)
    - Thanks to Rocco Stanzione

 -- Barry deFreese <bddebian@comcast.net>  Sat, 13 May 2006 21:00:05 -0400

libast (0.6-0pre2003010606.1ubuntu3) dapper; urgency=low

  * Move previously mentioned libast-amd64-sizefix.patch into correct
    location so it's actually applied (Closes: Malone #41207).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat,  6 May 2006 16:16:14 -0400

libast (0.6-0pre2003010606.1ubuntu2) dapper; urgency=low

  * debian/patches/libast-amd64-sizefix.patch.
    + Added patch to fix libast on AMD64. (Closes: Malone #41207).
      Thanks to Rocco Stanzione.
    + Updated debian/rules to use the patch.

 -- Chuck Short <zulcss@gmail.com>  Tue, 25 Apr 2006 18:37:20 -0400

libast (0.6-0pre2003010606.1ubuntu1) dapper; urgency=low

  * SECURITY: Fix buffer overflow due to improper bounds checking in
    src/conf.c::conf_find_file() . Reported by Johnny Mast
    <rave@rosiello.org>; fix backported from upstream version 0.7
    (Closes: #29464).
  * References:
    - CVE-2006-0224
    - Malone #29464

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Sun, 29 Jan 2006 16:47:38 -0800

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 DEB_DESTDIR = $(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS = --enable-mmx=no

## libast 0.7

=== debian/changelog ===
libast (0.7-12) unstable; urgency=medium

  * QA upload.
  * Udate watch file to point to GitHub. A new version 0.8 is availaible.
  * Switch from CDBS to DH 13 (Closes: #1115098)
  * Mark the tests that never ran before as non-fatal

  [ Tj ]
  * Fix C23 build issues (Closes: #1097163)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Sep 2025 22:43:29 +0200

libast (0.7-11) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.0.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Flagged libast2t64 with Multi-Arch: same.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Nov 2024 07:38:34 +0100

libast (0.7-10) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066437)
  * Set Rules-Requires-Root: no.
  * Whitespace and redundancy cleanup.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2024 19:17:52 +0200

libast (0.7-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062226

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 08:44:16 +0000

libast (0.7-9) unstable; urgency=medium

  * QA upload.
  * debian/rules: only run chrpath -d for the libast2 package, as glob
    now also match broken symlinks.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Feb 2018 19:34:56 +0100

libast (0.7-8) unstable; urgency=medium

  * QA upload.
  * Rebuild without Pre-Depends: multiarch-support.
  * Bump to debhelper 10.
  * Typo fix.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 19 Jul 2017 23:57:13 +0200

libast (0.7-7) unstable; urgency=medium

  * QA upload
  * debian/rules: use autoreconf in order to fix FTBFS on new architectures.
    Thanks to Logan Rosen for the patch! Closes: #735214.

 -- Ralf Treinen <treinen@debian.org>  Mon, 13 Oct 2014 20:49:15 +0200

libast (0.7-6) unstable; urgency=low

  * QA upload.
  * Pass --with-regexp=posix to have have a consistent build with the
    spiftool_regexp_match and spiftool_regexp_match_r symbols exported.
  * Stop shipping libast2.symbols for now, as the symbols list is not
    consistent between little and big endian architectures, and there
    is no official way to deal with it yet. Closes: #639560.

 -- Regis Boudin <regis@debian.org>  Tue, 30 Aug 2011 13:55:36 +0100

libast (0.7-5) unstable; urgency=low

  * QA upload.
  * Stop shipping .la files.
  * Convert to multiarch. Tighten build-dependencies accordingly.
  * Set debian/compat to 8.
  * Bump Standards-Version to 3.9.2.
  * Move to source format 3.0 (quilt).
  * Manualy remove rpath.

 -- Regis Boudin <regis@debian.org>  Thu, 25 Aug 2011 21:22:09 +0100

libast (0.7-4) unstable; urgency=low

  * Remove references to other libraries from dependency_libs field
    (Closes: #620435).

 -- Luk Claes <luk@debian.org>  Thu, 02 Jun 2011 17:58:55 +0200

libast (0.7-3) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Bump debhelper build-dep to >> 5.0.0.
  * Replace deprecated ${Source-Version} with ${binary:Version}.
  * Add ${misc:Depends}.
  * Remove duplicate Section from libast2 binary.
  * Add watch file.
  * Add Homepage.
  * Remove config.{sub,guess} on clean.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 12 May 2009 21:41:53 -0400

libast (0.7-2) unstable; urgency=low

  * added missing build dependency for X11/Intrinsic.h, reported by
    Hramrach. Thanks. closes: #437276
  * fixed FTBS, duplicate Architecture line in debian/control, reported
    by Lucas Nussbaum. Thanks. closes: #464305

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 18 Feb 2008 20:17:21 -0500

libast (0.7-1) unstable; urgency=low

  * New upstream version
  * CVE-2006-0224, buffer overflow fix, corrected upstream
  * updated to Standards-Version: 3.6.2.2

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 12 Feb 2006 18:11:15 -0500

=== debian/control ===
Source: libast
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 chrpath,
 libimlib2-dev,
 libxt-dev,
Standards-Version: 4.7.2
Homepage: http://www.eterm.org/
Vcs-Browser: https://salsa.debian.org/debian/libast
Vcs-Git: https://salsa.debian.org/debian/libast.git

Package: libast2t64
Provides:
 ${t64:Provides},
Breaks:
 libast2 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libast1,
Replaces:
 libast1,
 libast2,
Description: Library of Assorted Spiffy Things
 LibAST is the Library of Assorted Spiffy Things.  It contains many
 spiffy things, and it is a library.  Thus, the ever-so-creative name.
 LibAST has been previously known as libmej, the Eterm helper library
 which nobody really understood and certainly never used.  The
 plan is to gradually remove some of the neat stuff from Eterm that
 could be made generic (things like the theme parsing engine, the
 command-line options parser, perhaps the event engine, ...) and place
 it here in the hopes that others will find them useful.

Package: libast2-dev
Architecture: any
Section: libdevel
Depends:
 libast2t64 (= ${binary:Version}),
 libc6-dev,
 libimlib2-dev,
 ${misc:Depends},
Provides:
 libast-dev,
 libast1-dev,
Conflicts:
 libast-dev,
 libast1-dev,
Description: libast2t64 development files
 Headers, static libraries and documentation for developing software
 that uses libast2.
 .
 LibAST is the Library of Assorted Spiffy Things.  It contains many
 spiffy things, and it is a library.  Thus, the ever-so-creative name.
 LibAST has been previously known as libmej, the Eterm helper library
 which nobody really understood and certainly never used.  The
 plan is to gradually remove some of the neat stuff from Eterm that
 could be made generic (things like the theme parsing engine, the
 command-line options parser, perhaps the event engine, ...) and place
 it here in the hopes that others will find them useful.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# tooling is too old but I want to keep compat level 13
# "configure: error: unrecognized option: --runstatedir=/run"
override_dh_auto_clean:

override_dh_auto_configure:
	dh_auto_configure -- --enable-mmx=no --with-regexp=posix

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
Version: 5

Template: GitHub
Owner: mej
Project: libast
